<?php

namespace App\Classes\Modules\Remarks\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;

class RemarkObject implements DataTransferObject
{

    /** @var int  */
    private $commenterID;

    /** @var string*/
    private $content;

    public function __construct(string $content, int $commenterID)
    {
        $this->commenterID = $commenterID;
        $this->content = $content;
    }

    /**
     * @return int
     */
    public function getCommenterId(): string
    {
        return $this->commenterID;
    }

    /**
     * @return string
     */
    public function getContent(): ?string
    {
        return $this->content;
    }

}
